package com.caimei365.user.mapper;

import com.caimei365.user.model.vo.BalanceRecordVo;
import com.caimei365.user.model.vo.HelpPageVo;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/22
 */
@Mapper
public interface UserCenterMapper {
    /**
     * 查看帮助页信息（注册协议）
     */
    HelpPageVo getUserProtocol(Integer helpPageId);
    /**
     * 保存用户头像
     */
    void saveUserAvatar(Integer userId, String image);
    /**
     * 获取我的站内消息
     */
    @MapKey("messageId")
    List<Map<String, Object>> getMessageList(Integer userId);
    /**
     * 站内消息-标为已读
     */
    void updateMessageAsRead(String messageId);
    /**
     * 删除消息
     */
    void deleteMessage(String messageId);
    /**
     * 我的账户余额明细
     */
    List<BalanceRecordVo> getBalanceRecord(BalanceRecordVo balanceRecord);
    /**
     * 可用余额
     */
    Double getAbleUserMoney(Integer userId);
}
