package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 协销拉机构上线Dto
 *
 * @author : Aslee
 * @date : 2021/3/18
 */
@ApiModel("协销拉机构上线")
@Data
public class ClubOnlineDto implements Serializable {
    /**
     * 协销用户Id
     */
    @ApiModelProperty("协销用户Id")
    private Integer userId;
    /**
     * 机构名称
     */
    @ApiModelProperty("机构名称")
    private String name;
    /**
     * 机构简称
     */
    @ApiModelProperty("机构简称sname")
    private String shortName;
    /**
     * 企业绑定手机号
     */
    @ApiModelProperty("企业绑定手机号")
    private String bindMobile;
    /**
     * 联系邮箱
     */
    @ApiModelProperty("联系邮箱")
    private String contractEmail;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String linkMan;
    /**
     * 省
     */
    @ApiModelProperty("省")
    private Integer provinceId;
    /**
     * 市
     */
    @ApiModelProperty("市")
    private Integer cityId;
    /**
     * 地址Id
     */
    @ApiModelProperty("地址Id")
    private Integer townId;
    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;
    /**
     * 门头照
     */
    @ApiModelProperty("门头照")
    private String shopPhoto;
    /**
     * 营业执照(businessLicenseImage)
     */
    @ApiModelProperty("营业执照(businessLicenseImage)")
    private String businessLicense;
    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String socialCreditCode;
    /**
     * 一级分类为医美=1和生美=2
     */
    @ApiModelProperty("一级分类为医美=1和生美=2")
    private Integer firstClubType;
    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
     */
    @ApiModelProperty("医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类")
    private Integer secondClubType;
    /**
     * 若为医美分类下的门诊和医院则需要填写科室。
     */
    @ApiModelProperty("若为医美分类下的门诊和医院则可能需要填写科室")
    private String department;
    /**
     * 医美分类必须上传医疗执业许可证(medicalPracticeLicenseImg)
     */
    @ApiModelProperty("医美分类必须上传医疗执业许可证(medicalPracticeLicenseImg)")
    private String medicalPracticeLicense;
    /**
     * 主打项目(mainpro)
     */
    @ApiModelProperty("主打项目(mainpro)")
    private String mainProduct;
    /**
     * 是否同意勾选同意协议，1是，其他否
     */
    @ApiModelProperty("是否同意勾选同意协议，1是，其他否")
    private Integer isAgreed;
}
